unit frm_Main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls, Vcl.ComCtrls;

type
  TFormMain = class(TForm)
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    ListBox1: TListBox;
    Panel2: TPanel;
    BRead: TButton;
    BWrite: TButton;
    BShow: TButton;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure BReadClick(Sender: TObject);
    procedure BWriteClick(Sender: TObject);
    procedure BShowClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;
  LastFrame: TFrame;

implementation

uses frame_Settings, frame_Misc;

{$R *.dfm}

procedure TFormMain.FormCreate(Sender: TObject);
begin
  //   
  with ListBox1 do
  begin
    AddItem('', TFrameSettings.Create(ListBox1));
    AddItem('', TFrameMisc.Create(ListBox1));
  end;

  LastFrame := nil;
end;

procedure TFormMain.ListBox1Click(Sender: TObject);
begin
  //     
  if LastFrame <> nil then LastFrame.Visible := False;

  with TListBox(Sender) do
  begin
    LastFrame := TFrame(Items.Objects[ItemIndex]);
    LastFrame.Align := alClient;
    LastFrame.Parent := Panel1;
    LastFrame.Visible := True;
  end;
end;

procedure TFormMain.BReadClick(Sender: TObject);
begin
//    frame_Settings  TEdit
end;

procedure TFormMain.BWriteClick(Sender: TObject);
begin
//    frame_Settings  TEdit
end;

procedure TFormMain.BShowClick(Sender: TObject);
begin
//    frame_Settings  TEdit
  ShowMessage(FrameSettings.Edit1.Text); //  
end;

end.
